<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-member-remark-instance-heading">Create or edit a Member Remark Instance</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_memberId">Member Id</label>
                    <input type="text" class="form-control" name="memberId" id="field_memberId"
                           formControlName="memberId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_text">Text</label>
                    <input type="text" class="form-control" name="text" id="field_text"
                           formControlName="text"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_tagId">Tag Id</label>
                    <input type="text" class="form-control" name="tagId" id="field_tagId"
                           formControlName="tagId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_tagName">Tag Name</label>
                    <input type="text" class="form-control" name="tagName" id="field_tagName"
                           formControlName="tagName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_accessTeams">Access Teams</label>
                    <input type="text" class="form-control" name="accessTeams" id="field_accessTeams"
                           formControlName="accessTeams"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_createDate">Create Date</label>
                    <div class="input-group">
                        <input id="field_createDate" type="text" class="form-control" name="createDate" ngbDatepicker #createDateDp="ngbDatepicker" formControlName="createDate"/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="createDateDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
                        </span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_createBy">Create By</label>
                    <input type="text" class="form-control" name="createBy" id="field_createBy"
                           formControlName="createBy"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_updateDate">Update Date</label>
                    <div class="input-group">
                        <input id="field_updateDate" type="text" class="form-control" name="updateDate" ngbDatepicker #updateDateDp="ngbDatepicker" formControlName="updateDate"/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="updateDateDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
                        </span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_updateBy">Update By</label>
                    <input type="text" class="form-control" name="updateBy" id="field_updateBy"
                           formControlName="updateBy"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_active">Active</label>
                    <input type="checkbox" class="form-control" name="active" id="field_active"
                           formControlName="active"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
